Company logoTrust Center Documentation
API v1 ReferenceAccess requestsId

Update access request status

Update the review status of an access request. When changing status to "approved": - A magic link email is automatically sent to the contact - The magic link…

PATCH
/api/v1/access-requests/{id}

Update the review status of an access request.

When changing status to "approved":

  • A magic link email is automatically sent to the contact
  • The magic link expires after the configured expiry period (default 24 hours)
  • You can optionally update the contact's review status in the same request

When changing status to "rejected":

  • By default, no email is sent to the contact (send_rejection_email defaults to false)
  • You can optionally send a rejection notification email by setting send_rejection_email to true
  • The rejection email will include the list of documents that were requested

The contact must belong to an account within your tenant

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Access request ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/access-requests/req-123" \  -H "Content-Type: application/json" \  -d '{    "review_status": "approved"  }'

{  "success": true,  "data": {    "access_request": {      "id": "req-123",      "review_status": "approved",      "date_updated": "2025-01-15T14:30:00Z"    }  }}

How is this guide?